VIPW(8)

NOME
vipw, vigr - modifica i file delle password, dei gruppi, delle password shadow o dei gruppi shadow

SINOSSI

vipw [opzioni]

vigr [opzioni]

DESCRIZIONE

The vipw and vigr commands edits the files /etc/passwd and /etc/group, respectively. With the -s flag, they will edit the shadow versions of those files, /etc/shadow and /etc/gshadow, respectively. The programs will set the appropriate locks to prevent file corruption. When looking for an editor, the programs will first try the environment variable $VISUAL, then the environment variable $EDITOR, and finally the default editor, vi(1).

OPZIONI

The options which apply to the vipw and vigr commands are:

-g, --group
    Modifica del database «group».

-h, --help
    Mostra un messaggio di aiuto ed esce.

-p, --passwd
    Modifica del database «passwd».

-q, --quiet
    Modalità silenziosa.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --shadow
    Modifica del database «shadow» o «gshadow»

VARIABILI D'AMBIENTE

VISUAL
    Editor da utilizzare.

EDITOR
    Editor to be used if VISUAL is not set.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

VEDERE ANCHE

vi(1), group(5), gshadow(5) , passwd(5), , shadow(5).